Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface DocumentEvent.ElementChange

All Known Implementing Classes:
  AbstractDocument.ElementEdit

Enclosing interface:
  DocumentEvent

    public static interface DocumentEvent.ElementChange

Describes changes made to a specific element.

Method Summary
`Element[]` | `getChildrenAdded()` Gets the child elements that were added to the given parent element.
`Element[]` | `getChildrenRemoved()` Gets the child elements that were removed from the given parent element.
`Element` | `getElement()` Returns the element represented.
`int` | `getIndex()` Fetches the index within the element represented.

Method Detail

### getElement

    Element getElement()

  Returns the element represented. This is the element that was changed.

  Returns:
    the element

### getIndex

    int getIndex()

  Fetches the index within the element represented. This is the location that children were added and/or removed.

  Returns:
    the index >= 0

### getChildrenRemoved

    Element[] getChildrenRemoved()

  Gets the child elements that were removed from the given parent element. The element array returned is sorted in the order that the elements used to lie in the document, and must be contiguous.

  Returns:
    the child elements

### getChildrenAdded

    Element[] getChildrenAdded()

  Gets the child elements that were added to the given parent element. The element array returned is in the order that the elements lie in the document, and must be contiguous.

  Returns:
    the child elements

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.